### Signal

# Gtk Filter::changed

#### Declaration

    void
    changed (
      GtkFilter* self,
      GtkFilterChange change,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the filter changed.

Users of the filter should then check items again via `gtk_filter_match()`.

`GtkFilterListModel` handles this signal automatically.

Depending on the `change` parameter, not all items need to be checked, but only some. Refer to the `GtkFilterChange` documentation for details.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`change`

  Type: `GtkFilterChange`

  How the filter changed.